Cancel structured sheet processing
POST/v1/structured-sheets/{structured_sheet_id}/cancel
Cancel a structured sheet conversion that is in progress. Only jobs with status 'queued' or 'in_progress' can be cancelled.
Cancel structured sheet processing
curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID/cancel \
-X POST \
-H "Authorization: Bearer $DEEPTABLE_API_KEY"{
"id": "ss_01kfxgjd94fn9stqm42nejb627",
"created_at": "2024-01-15T10:30:00Z",
"file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
"object": "structured_sheet",
"status": "completed",
"updated_at": "2024-01-15T10:35:00Z",
"last_error": {
"code": "invalid_file_format",
"message": "The uploaded file is not a valid Excel spreadsheet."
},
"sheet_names": [
"Sheet1",
"Financials"
],
"table_count": 6
}Returns Examples
{
"id": "ss_01kfxgjd94fn9stqm42nejb627",
"created_at": "2024-01-15T10:30:00Z",
"file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
"object": "structured_sheet",
"status": "completed",
"updated_at": "2024-01-15T10:35:00Z",
"last_error": {
"code": "invalid_file_format",
"message": "The uploaded file is not a valid Excel spreadsheet."
},
"sheet_names": [
"Sheet1",
"Financials"
],
"table_count": 6
}